diff --git a/bin/donkey_benchmark_compilation_wrapper.sh b/bin/donkey_benchmark_compilation_wrapper.sh
index c911180de5d90d3d8ce09bc027bb1dd7d03fbaa6..e2691b5d71db2473b731fabcea6a1095ec2516d9 100755
--- a/bin/donkey_benchmark_compilation_wrapper.sh
+++ b/bin/donkey_benchmark_compilation_wrapper.sh
@@ -11,7 +11,9 @@ ml suite-sparse
 ml superlu
 ml parmetis
 
-"$@"
-
+("$@")
+code=$?
+echo "Code: $code"
 sleep 0.1s
 
+exit $code